using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace TextEditor
{
    public partial class FormEditor : Form
    {
        String filePath = null;

        public FormEditor()
        {
            InitializeComponent();
        }

        private void OpenFileToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Stream myStream = null;
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.InitialDirectory = "c:\\" ;
            openFileDialog1.Filter = "txt files (*.txt)|*.txt|c# file (*.cs)|*.cs|All files (*.*)|*.*" ;
            openFileDialog1.FilterIndex = 3 ;
            openFileDialog1.RestoreDirectory = true ;
            if(openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                try
                {
                    filePath = openFileDialog1.FileName; // ccc
                    if ((myStream = openFileDialog1.OpenFile()) != null)
                    {
                        using (myStream)
                        {
                            // Insert code to read the stream here.
                            StreamReader reader = new StreamReader(myStream);
                            String text = reader.ReadToEnd();
                            textBoxMain.Text = text;
                            reader.Close();
                        }
                    }
                }
                catch (Exception ex)
                {
                    MessageBox.Show("Error: Could not read file from disk. Original error: " + ex.Message);
                }
            }
        }

        private void ExitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void SaveFileToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (filePath != null)
            {
                StreamWriter writer = new StreamWriter(filePath);
                writer.Write(textBoxMain.Text);
                writer.Close();
            }
        }
    }
}